STRUCT I2C_CLIENT(9)

NAME
struct_i2c_client - represent an I2C slave device

SYNOPSIS

struct i2c_client {
  unsigned short flags;
  unsigned short addr;
  char name[I2C_NAME_SIZE];
  struct i2c_adapter * adapter;
  struct device dev;
  int irq;
  struct list_head detected;
#if IS_ENABLED(CONFIG_I2C_SLAVE)
  i2c_slave_cb_t slave_cb;
#endif
};

MEMBERS

flags
    I2C_CLIENT_TEN indicates the device uses a ten bit chip address; I2C_CLIENT_PEC indicates it uses SMBus Packet Error Checking

addr
    Address used on the I2C bus connected to the parent adapter.

name[I2C_NAME_SIZE]
    Indicates the type of the device, usually a chip name that's generic enough to hide second-sourcing and compatible revisions.

adapter
    manages the bus segment hosting this I2C device

dev
    Driver model device node for the slave.

irq
    indicates the IRQ generated by this device (if any)

detected
    member of an i2c_driver.clients list or i2c-core's userspace_devices list

slave_cb
    Callback when I2C slave mode of an adapter is used. The adapter calls it to pass on slave events to the slave driver.

DESCRIPTION

An i2c_client identifies a single device (i.e. chip) connected to an i2c bus. The behaviour exposed to Linux is defined by the driver managing the device.

COPYRIGHT